Eclipse GEF 3.3

## org.eclipse.gef.editparts
Class AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider

    java.lang.Object
      org.eclipse.gef.editparts.AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider

All Implemented Interfaces:
  AccessibleAnchorProvider

Enclosing class:
  AbstractGraphicalEditPart

protected class AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider
extends java.lang.Object
implements AccessibleAnchorProvider

The default implementation of `AccessibleAnchorProvider` returned in `AbstractGraphicalEditPart.getAdapter(Class)`. This implementation creates an accessible location located along the right edge of the EditPart's Figure.

Since:
  2.0

Constructor Summary
`protected` `AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider()`

Method Summary
`java.util.List` `getSourceAnchorLocations()` Returns a list of Points in absolute coordinates where source anchors are located.
`java.util.List` `getTargetAnchorLocations()` Returns a list of Points in absolute coordinates where target anchors are located.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider

    protected AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider()

Method Detail

### getSourceAnchorLocations

    public java.util.List getSourceAnchorLocations()

  Description copied from interface: `AccessibleAnchorProvider`
  Returns a list of Points in absolute coordinates where source anchors are located. Tools that work with connections should use these locations when operating in accesible keyboard modes.

  Specified by:
    `getSourceAnchorLocations` in interface `AccessibleAnchorProvider`
  Returns:
    A list of absolute locations (Points relative to the Viewer's Control)
  See Also:
    `AccessibleAnchorProvider.getSourceAnchorLocations()`

### getTargetAnchorLocations

    public java.util.List getTargetAnchorLocations()

  Description copied from interface: `AccessibleAnchorProvider`
  Returns a list of Points in absolute coordinates where target anchors are located. Tools that work with connections should use these locations when operating in accesible keyboard modes.

  Specified by:
    `getTargetAnchorLocations` in interface `AccessibleAnchorProvider`
  Returns:
    A list of absolute locations (Points relative to the Viewer's Control)
  See Also:
    `AccessibleAnchorProvider.getTargetAnchorLocations()`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.